Subject: Re: [PATCH v3 00/11] Fix color handling in git add -i

From: Junio C Hamano <[email-masked]>
Date: Wed, 25 Nov 2020 13:59:50 -0800

Jeff King <[email-masked]> writes:

> On Mon, Nov 16, 2020 at 04:08:21PM +0000, Johannes Schindelin via GitGitGadget wrote:
>
>> Changes since v2:
>> 
>>  * The commit messages of patches 7/11 and 9/11 now stress why we want to
>>    align the output of the Perl vs the built-in version so slavishly: to be
>>    able to validate both versions against prerecorded output.
>>  * A typo was fixed in the commit message of patch 10/11.
>
> This version looks fine to me, and I agree is a good stopping point for
> now (the only thing I'd consider adding is a test for the funcname in a
> split-hunk header, but it would have to be expect_failure for now; it is
> probably not worth the effort to rewrite the perl version to behave like
> the builtin here if we think it's going away soon).

Will mark the topic to be merged to 'next'.

It seems that these days I am too quick and eager to take more
things in 'seen' than the rate at I can convince myself that the
topics are ready and accumulate too many topics in the "undecided"
category too fast.  I probably should slow down the intake a bit to
match.

Thanks.